## Package org.apache.catalina.loader

Interface Summary
Reloader: Internal interface that `ClassLoader` implementations may optionally implement to support the auto-reload functionality of the classloader associated with the context.
StandardClassLoaderMBean: MBean interface for StandardClassLoader, to allow JMX remote management.

Class Summary
Constants
ResourceEntry: Resource entry.
StandardClassLoader: Subclass implementation of java.net.URLClassLoader that knows how to load classes from disk directories, as well as local and remote JAR files.
WebappClassLoader: Specialized web application class loader.
WebappLoader: Classloader implementation which is specialized for handling web applications in the most efficient way, while being Catalina aware (all accesses to resources are made through the DirContext interface).

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.